* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Poppins", sans-serif;
  scroll-behavior: smooth;
}

body {
  color: #ededed;
  background: rgb(9, 35, 68);
}

.header {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  background: #051129;
  padding: 2rem 10%;
  display: flex;
  justify-content: space-between;
  align-items: center;
  z-index: 100;
}

.logo {
  font-size: 24px;
  font-weight: 600;
  color: #fff;
  text-decoration: none;
  opacity: 0;
  animation: slideRight 1s ease forwards;
}

.navbar a {
  display: inline-block;
  font-size: 18px;
  color: #fff;
  text-decoration: none;
  font-weight: 500;
  margin-left: 35px;
  transition: 0.3s;
  opacity: 0;
  animation: slideTop 0.5s ease forwards;
  animation-delay: calc(0.2s * var(--i));
}

.navbar a:hover,
.navbar a.active {
  color: #0ef;
}

.home {
  position: relative;
  width: 100%;
  height: 100vh;
  display: flex;
  align-items: center;
  padding: 70px 10% 0;
  background: rgb(9, 35, 68);
}

.home-content {
  max-width: 600px;
}

.home-content h3 {
  font-size: 32px;
  font-weight: 700;
  opacity: 0;
  animation: slideBottom 1s ease forwards;
  animation-delay: 0.7s;
}

.home-content h1 {
  font-size: 56px;
  font-weight: 700;
  margin: 10px 0;
  opacity: 0;
  animation: slideRight 1s ease forwards;
  animation-delay: 1s;
}

.home-content p {
  font-size: 18px;
  line-height: 1.6;
  opacity: 0;
  animation: slideLeft 1s ease forwards;
  animation-delay: 1s;
}

.home-content h3 span {
  color: #0ef;
}

.home-sci a {
  display: inline-flex;
  justify-content: center;
  align-items: center;
  width: 40px;
  height: 40px;
  background: transparent;
  border: 2px solid #0ef;
  border-radius: 50%;
  font-size: 20px;
  color: #0ef;
  text-decoration: none;
  margin: 30px 15px 30px 0;
  transition: 0.5s ease;
  opacity: 0;
  animation: slideLeft 1s ease forwards;
  animation-delay: calc(0.2s * var(--i));
}

.home-sci a:hover {
  background: #0ef;
  color: #081b29;
  box-shadow: 0 0 20px #0ef;
}

.btn-box {
  display: inline-block;
  padding: 12px 28px;
  background: #0ef;
  border-radius: 40px;
  font-size: 16px;
  color: #081b29;
  letter-spacing: 1px;
  text-decoration: none;
  font-weight: 600;
  opacity: 0;
  animation: slideTop 1s ease forwards;
  animation-delay: 2s;
  box-shadow: 0 0 5px #0ef;
}

.btn-box:hover {
  box-shadow: 0 0 20px #0ef;
}

.about {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 4rem;
  padding: 100px 10%;
  background: #051129;
}

.about-img img {
  width: 35vw;
  border-radius: 20px;
  box-shadow: 0 0 20px #0ef;
}

.about-text h2 {
  font-size: 6rem;
}

.about-text h2 span {
  color: #0ef;
}

.about-text h4 {
  font-size: 29px;
  font-weight: 600;
  color: #fff;
  line-height: 1.7;
  margin: 15px 0 30px;
}

.about-text p {
  color: aliceblue;
  font-size: 18px;
  line-height: 1.6;
  margin-bottom: 2rem;
}

.services {
  padding: 100px 10%;
}

.sub-title {
  text-align: center;
  font-size: 6rem;
  margin-bottom: 6rem;
}

.sub-title span {
  color: #0ef;
}

.services-list {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
  grid-gap: 40px;
}

.services-list div {
  background-color: transparent;
  padding: 40px;
  font-size: 13px;
  font-weight: 13px;
  border-radius: 20px;
  transition:
    background 0.5s,
    transform 0.5s;
  box-shadow:
    1px 1px 20px #012290f7,
    1px 1px 40px #0053b8f7;
}

.services-list div:hover {
  transform: translateY(-10px);
  background: #051129;
}

.services-list div i {
  font-size: 50px;
  margin-bottom: 30px;
}

.services-list div h2 {
  font-size: 30px;
  font-weight: 500;
  margin-bottom: 15px;
}

.services-list div p {
  font-size: 16px;
  line-height: 1.6;
  margin-bottom: 20px;
}

.read {
  display: inline-block;
  padding: 10px 20px;
  background: #0ef;
  border-radius: 40px;
  font-size: 14px;
  color: #081b29;
  text-decoration: none;
  font-weight: 600;
  box-shadow: 0 0 5px #0ef;
}

.skills-section {
  padding: 100px 10%;
  background: #051129;
}

.skills-container {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  gap: 2rem;
}

.container1 {
  flex: 1;
  min-width: 300px;
  padding: 20px;
}

.heading1 {
  text-align: center;
  text-decoration: underline;
  text-underline-offset: 10px;
  text-decoration-thickness: 5px;
  margin-bottom: 50px;
}

.bar {
  margin: 20px 0;
  font-size: 23px;
}

.Technical-bars .bar .info {
  margin-bottom: 5px;
}

.Technical-bars .bar .info span {
  font-size: 17px;
  font-weight: 500;
}

.Technical-bars .bar .progress-line {
  position: relative;
  border-radius: 10px;
  height: 5px;
  width: 100%;
  background-color: #000;
}

.Technical-bars .bar .progress-line span {
  height: 100%;
  background-color: #0ef;
  position: absolute;
  border-radius: 10px;
  transform: scaleX(0);
  transform-origin: left;
  animation: animateProgress 1s cubic-bezier(1, 0, 0.5, 1) forwards;
}

@keyframes animateProgress {
  100% {
    transform: scaleX(1);
  }
}

.progress-line.html span {
  width: 90%;
}
.progress-line.css span {
  width: 60%;
}
.progress-line.javascript span {
  width: 85%;
}
.progress-line.react span {
  width: 50%;
}
.progress-line.nodejs span {
  width: 68%;
}

.radial-bars {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-evenly;
}

.radial-bar {
  width: 50%;
  height: 170px;
  margin-bottom: 10px;
  position: relative;
}

.radial-bar svg {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%) rotate(-90deg);
  width: 120px;
  height: 120px;
}

.radial-bar .progress-bar {
  stroke-width: 10;
  stroke: black;
  fill: transparent;
  stroke-dasharray: 502;
  stroke-dashoffset: 502;
  stroke-linecap: round;
}

.path {
  stroke-width: 10;
  stroke: #0ef;
  fill: transparent;
  stroke-dasharray: 502;
  stroke-dashoffset: 502;
  stroke-linecap: round;
  animation: animatePath 1s linear forwards;
}

@keyframes animatePath {
  100% {
    stroke-dashoffset: 150;
  }
}

.radial-bar .percentage {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  font-size: 17px;
  font-weight: 500;
}

.radial-bar .text {
  width: 100%;
  position: absolute;
  text-align: center;
  left: 50%;
  bottom: -5px;
  transform: translateX(-50%);
  font-size: 17px;
  font-weight: 500;
}

.portfolio {
  padding: 100px 10%;
}

.project-category {
  margin-bottom: 80px;
}

.category-title {
  font-size: 30px;
  margin-bottom: 30px;
  border-left: 5px solid #0ef;
  padding-left: 15px;
}

.category-title span {
  color: #0ef;
}

.portfolio-content {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(350px, 1fr));
  grid-gap: 40px;
}

.row {
  position: relative;
  overflow: hidden;
  border-radius: 8px;
  cursor: pointer;
}

.row img {
  width: 100%;
  border-radius: 8px;
  display: block;
  transition: transform 0.5s;
}

.layer {
  width: 100%;
  height: 0;
  background: linear-gradient(rgba(0, 0, 0, 0.1), #0ef);
  position: absolute;
  left: 0;
  bottom: 0;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  text-align: center;
  padding: 0 40px;
  transition: height 0.5s;
}

.layer h5 {
  font-size: 20px;
  font-weight: 600;
  margin-bottom: 15px;
  color: #000;
}

.layer p {
  color: #000;
  font-size: 1rem;
  line-height: 1.6;
}

.layer i {
  color: #ff004f;
  margin-top: 20px;
  font-size: 20px;
  background: #fff;
  width: 60px;
  height: 60px;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 50%;
}

.row:hover img {
  transform: scale(1.1);
}

.row:hover .layer {
  height: 100%;
}

.contact {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  align-items: center;
  gap: 3rem;
  padding: 100px 10%;
  background: #051129;
}

.contact-text h2 {
  font-size: 60px;
}

.contact-text h2 span {
  color: #0ef;
}

.contact-text h4 {
  margin: 15px 0;
  color: #fff;
  font-size: 20px;
  font-weight: 600;
}

.contact-text p {
  color: #fff;
  font-size: 18px;
  line-height: 1.6;
  margin-bottom: 2rem;
}

.contact-list {
  margin-bottom: 3rem;
}

.contact-list li {
  margin-bottom: 10px;
  display: block;
}

.contact-list i {
  display: inline-block;
  color: #0ef;
  font-size: 20px;
  font-weight: 600;
  margin-right: 10px;
}

.contact-icons i {
  display: inline-flex;
  justify-content: center;
  align-items: center;
  width: 40px;
  height: 40px;
  background: transparent;
  border: 2px solid #0ef;
  border-radius: 50%;
  font-size: 20px;
  color: #0ef;
  text-decoration: none;
  margin: 30px 15px 30px 0;
  transition: 0.5s ease;
}

.contact-icons i:hover {
  background: #0ef;
  color: #000;
  box-shadow: 0 0 20px #0ef;
}

.contact-form form {
  position: relative;
}

.contact-form form input,
.contact-form form textarea {
  border: none;
  outline: none;
  width: 90%;
  padding: 18px;
  background: #555557;
  color: #000;
  font-size: 1rem;
  font-weight: 600;
  margin-bottom: 0.5rem;
  border-radius: 0.5rem;
}

.contact-form textarea {
  resize: none;
  height: 220px;
}

.contact-form form .send {
  display: inline-block;
  padding: 14px 60px;
  background: #0ef;
  border-radius: 40px;
  font-size: 18px;
  color: #081b29;
  letter-spacing: 1px;
  text-decoration: none;
  font-weight: 600;
  cursor: pointer;
  box-shadow: 0 0 5px #0ef;
}

@keyframes slideRight {
  0% {
    transform: translateX(-100px);
    opacity: 0;
  }
  100% {
    transform: translateX(0);
    opacity: 1;
  }
}

@keyframes slideLeft {
  0% {
    transform: translateX(100px);
    opacity: 0;
  }
  100% {
    transform: translateX(0);
    opacity: 1;
  }
}

@keyframes slideTop {
  0% {
    transform: translateY(100px);
    opacity: 0;
  }
  100% {
    transform: translateY(0);
    opacity: 1;
  }
}

@keyframes slideBottom {
  0% {
    transform: translateY(-100px);
    opacity: 0;
  }
  100% {
    transform: translateY(0);
    opacity: 1;
  }
}

/* RESPONSIVE DESIGN */

#menu-icon {
  font-size: 3.6rem;
  color: #fff;
  cursor: pointer;
  display: none;
}

@media (max-width: 1200px) {
  html {
    font-size: 55%;
  }
}

@media (max-width: 991px) {
  .header {
    padding: 2rem 3%;
  }

  section {
    padding: 10rem 3% 2rem;
  }

  .services {
    padding-bottom: 7rem;
  }

  .portfolio {
    padding-bottom: 7rem;
  }

  .contact {
    min-height: auto;
    padding-bottom: 7rem;
  }
}

@media (max-width: 768px) {
  #menu-icon {
    display: block;
  }

  .navbar {
    position: absolute;
    top: 100%;
    left: 0;
    width: 100%;
    padding: 1rem 3%;
    background: #051129;
    border-top: 0.1rem solid rgba(0, 0, 0, 0.2);
    box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, 0.2);
    display: none;
  }

  .navbar.active {
    display: block;
  }

  .navbar a {
    display: block;
    font-size: 2rem;
    margin: 3rem 0;
    opacity: 1;
    animation: none;
  }

  .home {
    flex-direction: column;
    text-align: center;
    padding-top: 120px;
  }

  .home-content h1 {
    font-size: 5rem;
  }

  .about {
    flex-direction: column-reverse;
    text-align: center;
  }

  .about-img img {
    width: 70vw;
    margin-top: 4rem;
  }

  .contact {
    grid-template-columns: 1fr;
  }
}

@media (max-width: 450px) {
  html {
    font-size: 50%;
  }

  .contact-form form .input-box input {
    width: 100%;
  }
}
